#pragma once
#include "mof/InputReceiver.hpp"
#include "mof/tstring.hpp"
#include <list>

namespace mof{
	

	class LoggingInputReceiver : public InputReceiver
	{
		std::list<bool> m_log;
		mof::tstring m_filename;
	public:
		
		LoggingInputReceiver(TCHAR* filename );
		virtual ~LoggingInputReceiver();
		virtual bool testKeyState(Key key);
		virtual void update();
		void output();
	};

};
